import Downloader from '../Downloader.js';
import MediaWiki from '../MediaWiki.js';
import { ZimCreator } from '@openzim/libzim';
import { Dump } from '../Dump.js';
export declare function getAndProcessStylesheets(downloader: Downloader, redisStore: RS, links: Array<string | DominoElement>): Promise<{
    finalCss: string;
}>;
export declare function downloadAndSaveModule(zimCreator: ZimCreator, mw: MediaWiki, downloader: Downloader, dump: Dump, module: string, type: 'js' | 'css'): Promise<void>;
export declare function importPolyfillModules(zimCreator: ZimCreator): Promise<void>;
